v2.5.4

Dec 7, 2015 3:05 pm EST

Choose your Postgres

Choose your Elasticsearch

Choose your Linux

v2.5.4

v2.5.4 is a bugfix release that (re)fixes an issue that could cause index corruption when using transactions with functions that do their own EXCEPTION handling.

Bugs Fixed

  • Issue #63: ZomboDB was improperly tracking Postgres' "Executor" nesting depth, causing ZDB to get confused about when to synchronize UPDATEd records to ES when the containing PG transaction used subtransactions/exception handling.

Thanks

Thanks to @taspotts for reporting this… again.

Stop waiting.
Start searching.

Get Started Today